summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRoman Voropaev2017-12-31 18:30:57 +0300
committerRoman Voropaev2017-12-31 18:36:33 +0300
commitb834742b9d07098715f2782b0180a45db1e4a109 (patch)
tree1a594fdc67ed024915c7767f6be2157fbd999669
downloadaur-b834742b9d07098715f2782b0180a45db1e4a109.tar.gz
Initial commit
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD34
2 files changed, 51 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..cbc5b4efa37
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = nginx-unit
+ pkgdesc = Dynamic web application server, designed to run applications in multiple languages.
+ pkgver = 0.3
+ pkgrel = 1
+ url = http://unit.nginx.org/
+ arch = i686
+ arch = x86_64
+ license = Apache-2.0
+ optdepends = python
+ optdepends = php-embed
+ source = http://hg.nginx.org/unit/archive/0.3.tar.gz
+ md5sums = 62ac119c9e345e0b447356b543111b33
+
+pkgname = nginx-unit-python
+
+pkgname = nginx-unit-php
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c729f8cddf2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+# Contributor: Roman Voropaev <voropaev.roma@gmail.com>
+
+pkgbase=nginx-unit
+pkgname=('nginx-unit-python' 'nginx-unit-php')
+_shortname=unit
+pkgver=0.3
+pkgrel=1
+pkgdesc="Dynamic web application server, designed to run applications in multiple languages."
+arch=('i686' 'x86_64')
+url="http://unit.nginx.org/"
+license=('Apache-2.0')
+optdepends=('python' 'php-embed')
+source=(http://hg.nginx.org/$_shortname/archive/$pkgver.tar.gz)
+md5sums=(62ac119c9e345e0b447356b543111b33)
+
+build() {
+ cd $srcdir/$_shortname-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package_nginx-unit-python() {
+ cd $srcdir/$_shortname-$pkgver
+ ./configure python
+ make python
+ make DESTDIR=$pkgdir install || return 1
+}
+
+package_nginx-unit-php() {
+ cd $srcdir/$_shortname-$pkgver
+ ./configure php
+ make php
+ make DESTDIR=$pkgdir install || return 1
+}